Ubuntu

Fallback icon theme is not installed which causes icons to disappear

Reported by Sergio Zanchetta on 2007-04-13
168
Affects Status Importance Assigned to Milestone
openoffice.org (Ubuntu)
Low
Unassigned
Declined for Feisty by Matthias Klose
Nominated for Gutsy by Sergio Zanchetta

Bug Description

If the default openoffice icon set "openoffice.org-style-andromeda" is not installed and the gnome icon set is changed to an icon set not installed for openoffice then all icons in openoffice disappear.

Changed in openoffice.org:
status: Unconfirmed → Confirmed

this can be fixed by installing openoffice.org-style-tango; the default is to select the "human" theme which is installed by default. the -human theme isn't installed by default, because it would add another 5MB to the CD. The icon selection stuff should be changed to only select the installed icon sets.

Changed in openoffice.org:
importance: Undecided → Low
Sergio Zanchetta (primes2h) wrote :

Thank you for the fix, but I think this bug it's really annoying as well, because It's really ugly to have no icons at all on OpenOffice when I select Tango icon theme on Desktop.

Sergio Zanchetta (primes2h) wrote :

At least it could select a default icon theme (e.g. Human), if the selected one on Desktop is not present on OpenOffice.

Sergio Zanchetta (primes2h) wrote :

This bug is related to bug #101885.

description: updated
Milan Bouchet-Valat (nalimilan) wrote :

There are two parts in this bug:
1) Tango style for OO.o is not installed because of lack of space on the CD. But it wasn't installed when I updated from Edgy using Internet, although tango-icon-theme was already installed. *tango-i-th should recommend openoffice.org-style-tango* (it would even make sense to make it a dependency, since without it, Tango is quite inconsistent). But I don't know if this is sufficient to make update-manager install it when updating via the net.

2) The fallback in OO.o when oo.o-style-tango is not installed is to use "Crystal", which is really not adapted to Tango. It should default to "Human", which is almost the same as "Tango". This is a real regression compared to Edgy, because the icons look really strange in a Tango ("unified") Desktop.

Sergio Zanchetta (primes2h) wrote :

I think this bug shouldn't be just of Low Importance.
It's annoying, especially for new people that are approaching Ubuntu.
It shows a kind of inconsistency in the O.S.

Sergio Zanchetta (primes2h) wrote :

Sorry, I meant "it shows a sort of inconsistency" not "It shows a kind of inconsistency" in the comment before.

Sergio Zanchetta schrieb:
> I think this bug shouldn't be just of Low Importance.
> It's annoying, especially for new people that are approaching Ubuntu.
> It shows a kind of inconsistency in the O.S.

new installations don't see this at all; please correct, if I'm wrong.
if you want to improve the code, please check ooo-build/patches/src680/human-*

I found this bug just after a fresh installation, not after an upgrade.
I installed a Feisty fawn daily build, date 12.04.07, found in http://cdimage.ubuntu.com/daily-live/20070412/

Sergio Zanchetta schrieb:
> I found this bug just after a fresh installation, not after an upgrade.

ok, but you did change it manually after the installation, correct?

Yes, I just changed the icon set in theme manager from Human to Tango.
I think everyone want to personalize his Desktop after an installation.
For this reason I wrote before that this bug is annoying, especially for new people.
It could look like an inconsistency on the O.S. itself.

Well, the issue is if you keep the standard "Automatic" icon set, and you simply change the GNOME theme to IndustrialTango or Silicon (maybe others too), you get really strange icons in OO.o ("Crystal" ones). This is likely to make you go back to Human GNOME theme: this bug is like removing two of the best themes we have. And this is not a geek customization. And it is quite simple to resolve compared to others. (I'm not talking for myself, since it's solved on my box by installing the package, but for the quality of the distribution).

Sergio Zanchetta (primes2h) wrote :

No, the thing is even worse!
If you select tango icons in GNOME theme, you get NO ICONS at all in OO.o, you see just TEXT (because of lack of openoffice.org-style-tango)
As you reported before, it should be a dependency between this two things

Sergio Zanchetta (primes2h) wrote :

Have a look at this screenshot.
It's not a big deal, is it?

Sergio Zanchetta (primes2h) wrote :

I don't want to be boring, but I don't understand why this bug was declined for feisty.
I undestand there are more important bugs that had to be fixed before, but I also think that the usability of a Desktop is important as well.
Matthias, you wrote "The icon selection stuff should be changed to only select the installed icon sets."
I completely agree with you.
As you see in my attachment above the result of this bug is a bad inconsistency in the Desktop appeareance itself.
I am used to PC working, so I would be able to understand the problem and find a workaround by installing the packet openoffice.org-style-tango.
I can assure you that this could be a very big problem for a newbie.
He opens openoffice, sees odd menus without icons, wondering what happened to them, forgiving that two day before he changed icon theme on Gnome Desktop.
He finally don't understand what happened and probably start thinking that Ubuntu is a bit inconsistent and not too ready for the Desktop.
Naturally this is an hypothetical situation, but as my experience teel me about Desktop newbie users, it's not far from reality.

I totally agree with Sergio, this bug is really bad. I suggest a solution: put on the cd only the human theme, and when a user changes his icon theme for the first time, make ubuntu download the entire theme from the internet. This would be more coherent than having an incomplete support to tango. Bye

Changed in openoffice.org:
status: Confirmed → Fix Released

Where is the fix? Does it fix all the issues this bug reports?
I sum up here the list:
- hide not installed icon sets in OOo
- make sure that in OOo the default fallback icon set for any *GNOME* theme is consistent with the Desktop (i.e. set it to Human)
OR change if possible Tango (and others maybe) icon set to use Human when Tango is not installed
- make tango-icon-theme recommend oo.o-icon-style-tango to make it easy to install
Thank you for the work on this issue (which is not a personal problem, I'm able to select my icon set ;-) )

Mantas Kriaučiūnas (mantas) wrote :

I don't see any fix released - icons on Openoffice 2.2 still disappeares, please explain why you set the status of this bug to "Fix Released"?

Changed in openoffice.org:
status: Fix Released → Fix Committed

"The icon selection stuff should be changed to only select the installed icon sets." Stephane V., you told in your explanation that this bug wasn't fixed at all, who are you making fun of?
See my previous post for other things to fix.

Changed in openoffice.org:
status: Fix Committed → Confirmed
itsik tal (itsik) wrote :

It is fixed After installing openoffice.org-style-tango

description: updated
description: updated

The problem here is that the default set of icons "andromeda" are not installed. When they are installed they are located in:

/usr/lib/openoffice/share/config/images.zip

So what needs to happen is either install them by default or change the icon fallback routine to fallback to an icon set that is always going to be installed, eg human.

Chris

Sergio Zanchetta (primes2h) wrote :

Great Chris!
It's exactly what Milan and I are trying to explain here in the last 3 months.

Sergio Zanchetta (primes2h) wrote :

Sorry, I meant "during the last 3 months".

Chris Cheney (ccheney) on 2007-07-10
description: updated
Matthias Klose (doko) wrote :

openoffice.org (2.2.0-1ubuntu4) feisty-security; urgency=low

  * ooo-build/patches/src680/sw.rtf.prtdata.diff: fix RTF parser heap
    overflow (CVE-2007-0244).
  * Avoid wrong document recovery attempt after fullscreen presentations
    in Impress. Closes LP: #90513.
  * Do not hide the OOo Draw menu item. Closes LP: #75478.
  * Fix icon style selection to not select a style which is not installed.
    Closes LP: #106186.

 -- Matthias Klose <email address hidden> Mon, 2 Jul 2007 14:49:53 +0200

Changed in openoffice.org:
status: Confirmed → Fix Released

Thanks to the update's alerting me to this bug, I now have icons. However, the fix didn't give me any icons (it didn't do anything noticeable). I now have icons because some of the comments alerted me to the existance of icon themes for OOo. Installing openoffice.org-style-tango did the trick.

So, in summary, this bug isn't fixed.

Changed in openoffice.org:
status: Fix Released → Confirmed
Chris Cheney (ccheney) wrote :

Fall back appears to work for:

crux
gnome
highcontrastinverse
mist
tangerine

It does not work for:

tango

I'm not sure why it only doesn't work for tango...

Reuben Firmin (reubenf) wrote :

I did a fresh install of openoffice in KDE. No icons! It's hideous (really, really, hideous.) Please don't tell me to use KOffice, as it's not up to OO in terms of features, yet.

Sergio Zanchetta (primes2h) wrote :

Yes Chris, the same for me.
I tried with Gutsy Tribe 5 also, same behaviour.
All works except tango icon theme one.

Sergio Zanchetta (primes2h) wrote :

Due to the fix released doesn't fix completely the problem and I think there is a little work to do to have all working (tell me if I'm wrong), is there a hope to have a fix for Gutsy release?

sancheztavo (sancheztavo) wrote :

Just happened to me in a Gutsy beta after a clean install, effectively, the icon theme is not installed by default so instead of the icons, text appears. After installing the themes it seems to work correctly

Chris Cheney (ccheney) wrote :

openoffice.org (2.2.0-1ubuntu5) feisty; urgency=low

  * ooo-build/patches/src680/itiff.diff: fix tiff heap overflow
    (CVE-2007-2834)

openoffice.org (2.2.0-1ubuntu4) feisty-security; urgency=low

  * ooo-build/patches/src680/sw.rtf.prtdata.diff: fix RTF parser heap
    overflow (CVE-2007-0244).
  * Avoid wrong document recovery attempt after fullscreen presentations
    in Impress. Closes LP: #90513.
  * Do not hide the OOo Draw menu item. Closes LP: #75478.
  * Fix icon style selection to not select a style which is not installed.
    Closes LP: #106186.

openoffice.org (2.2.0-1ubuntu3) feisty; urgency=low

  * openoffice.org-style-crystal: Suggest (instead of recommending)
    kde-icons-crystal, crystalcursors. Ubuntu #104176.
  * openoffice.org-style-industrial: Suggest (instead of recommending)
    gtk2-engines, gnome-themes, industrial-cursor-theme.

openoffice.org (2.2.0-1ubuntu2) feisty; urgency=low

  * openoffice.org: Make openoffice.org-filter-binfilter a recommendation
    instead of a dependency to save space on the CD.

openoffice.org (2.2.0-1ubuntu1) feisty; urgency=low

  * Merge with Debian.
  * Update ooo-build.
  * openoffice.org-core: Recommend nfs-common. Ubuntu #64813.
  * Re-merge generic menu icons names. Ubuntu #99779.
  * Build using neon25. Ubuntu #92345.
  * Build using internal copy of xmlsec. Ubuntu #45801.
  * openoffice.org-common: Depend on desktop-file-utils. Ubuntu #70105.
  * openoffice.org-style-default: Build it as a transitional package.
    Ubuntu #102690.
  * Import Fedora fixes:
    - Fix crashes in Outliner::ImplHasBullet(). Ubuntu #96622.
  * Update ubuntu template documents.
  * Update human icon theme, contributed by Gabriel Hurley.

openoffice.org (2.2.0-1) experimental; urgency=low

  * 2.2.0 final release.
  * ooo-build:
    - update (r9112)
      + libpaper-support.diff, libpaper-link.diff: add (closes: #412067)
  * debian/rules:
    - follow upstreams mono pkg-config rename to mono-openoffice.pc
    - fix glibc 2.5 check
  * debian/control.in:
    - build-depend on libpaper-dev
    - fix duplicate Replaces: at -style-andromeda, thanks lintian
  * debian/ttf-opensymbol.post{inst,rm}.in: use fc-cache -fs
  * debian/libuno-cil.{prerm,postinst}.in: fix typo

 -- Chris Cheney <email address hidden> Tue, 2 Oct 2007 11:56:09 -0500

Changed in openoffice.org:
status: Confirmed → Fix Released
Sergio Zanchetta (primes2h) wrote :

Thank you very much Chris for this fix.

Very good indeed... ;-)
By the way, I think it could be worth adding the openoffice.org-style-* packages to the 'Recommends:' or 'Suggests:' list of openoffice.org. This way you can find them easily. Don't you?

Samnsparky (samnsparky) wrote :

Just so you know it works with GNOME selected in the Appearance Prefrences for Icons in Customize Theme but the icons are missing in Crystal SVG.

The bug seems to have reappeared in Hardy concerning Tango. Testcase: create a new user, choose theme IndustrialTango, start OO.o - no icons are shown at all, which makes it quite unusable. Same behavior when you're using an already existing user account.

Changed in openoffice.org:
status: Fix Released → Confirmed
Chris Cheney (ccheney) wrote :

I have fixed this for the next upload and have marked the bug as Fix Committed. The next upload will likely happen within the next 24 hours.

Thanks,

Chris Cheney

Changed in openoffice.org:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openoffice.org - 1:2.4.0-3ubuntu2

---------------
openoffice.org (1:2.4.0-3ubuntu2) hardy; urgency=low

  * debian/rules:
    - Reenable java on powerpc. Closes LP: #205923
  * ubuntu/ooo87965.execute.sh:
    - Added to work around bug executing launchpad-integration script.
  * Resynchronise with ooo-build (r12125).
    - ooo-build/patches/src680/human-icons-add.diff:
      . Fallback properly to human icon theme.
        Closes LP: #106186, #138360, #153598, #178455
    - ooo-build/patches/src680/ooo85931.inconsistent.getentrypos.diff:
      . Added to correct add templates issue on amd64. Closes LP: #62591
    - ooo-build/patches/src680/ubuntu-lpi.diff:
      . Changed to use launchpad-integration script. Closes LP: #46546

 -- Chris Cheney <email address hidden> Mon, 07 Apr 2008 20:05:52 -0500

Changed in openoffice.org:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments